Loading...
Searching...
No Matches
Opm::EcfvGridCommHandleFactory< TypeTag > Class Template Reference

A class which provides types for DUNE grid handles for communication. More...

`#include <ecfvgridcommhandlefactory.hh>`

## Static Public Member Functions

template<class ValueType, class ArrayType>
static std::shared_ptr< GridCommHandleMin< ValueType, ArrayType, DofMapper, 0 > > | minHandle (ArrayType &array, const DofMapper &dofMapper)
| Return a handle which computes the minimum of a value for each overlapping degree of freedom across all processes.
template<class ValueType, class ArrayType>
static std::shared_ptr< GridCommHandleMax< ValueType, ArrayType, DofMapper, 0 > > | maxHandle (ArrayType &array, const DofMapper &dofMapper)
| Return a handle which computes the maximum of a value for each overlapping degree of freedom across all processes.
template<class ValueType, class ArrayType>
static std::shared_ptr< GridCommHandleSum< ValueType, ArrayType, DofMapper, 0 > > | sumHandle (ArrayType &array, const DofMapper &dofMapper)
| Return a handle which computes the sum of all values all overlapping degrees of freedom across all processes.

## Detailed Description

template<class TypeTag>
class Opm::EcfvGridCommHandleFactory< TypeTag >

A class which provides types for DUNE grid handles for communication.

This is required for parallel computations

The documentation for this class was generated from the following file:

- opm/models/discretization/ecfv/ecfvgridcommhandlefactory.hh